me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageUpgradeable

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageUpgradeable

    public class StorageUpgradeable
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageUpgradeable()`
`StorageUpgradeable(java.lang.Integer base, java.lang.Integer max, java.lang.Integer step, java.lang.Integer upgradeCost)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `getBase()` The base value
`java.lang.Integer` `getMax()` The maximum value
`java.lang.Integer` `getStep()` The upgrade step value
`java.lang.Integer` `getUpgradeCost()` The cost to upgrade
`void` `setBase(java.lang.Integer base)` The base value
`void` `setMax(java.lang.Integer max)` The maximum value
`void` `setStep(java.lang.Integer step)` The upgrade step value
`void` `setUpgradeCost(java.lang.Integer upgradeCost)` The cost to upgrade

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageUpgradeable

    public StorageUpgradeable(java.lang.Integer base,
                              java.lang.Integer max,
                              java.lang.Integer step,
                              java.lang.Integer upgradeCost)

#### StorageUpgradeable

    public StorageUpgradeable()

### Method Detail

#### getBase

    public java.lang.Integer getBase()

The base value

#### getMax

    public java.lang.Integer getMax()

The maximum value

#### getStep

    public java.lang.Integer getStep()

The upgrade step value

#### getUpgradeCost

    public java.lang.Integer getUpgradeCost()

The cost to upgrade

#### setBase

    public void setBase(java.lang.Integer base)

The base value

#### setMax

    public void setMax(java.lang.Integer max)

The maximum value

#### setStep

    public void setStep(java.lang.Integer step)

The upgrade step value

#### setUpgradeCost

    public void setUpgradeCost(java.lang.Integer upgradeCost)

The cost to upgrade